Skip to content

Get active provider NPIs

Request

Retrieves the list of active provider NPIs within the developer's Zocdoc directory. The NPIs retrieved here can be used to search for providers in the /v1/providers endpoint to facilitate availability, discovery, and booking.

Developers can fetch the NPI list and cache in their system. The available NPIs do not change frequently. Pulling this data once a week and/or after known directory change events should be sufficient.

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Query
pageinteger

The zero indexed page of results. A mimimum value of 0 will be accepted.

page_sizeinteger

The number of results to return per page. A mimimum value of 1 and a maximum of 60000 will be accepted.

curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1/reference/npi?page=0&page_size=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

pageintegerrequired

The zero based index of the current page.

page_sizeintegerrequired

The size of the current page.

total_countintegerrequired

The total number of result items.

next_urlstringrequired

A link to the next page of results; null if this is the last page of results.

dataobject(ProviderNpis)required
Response
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": { "npis": [] } }